> ## Documentation Index
> Fetch the complete documentation index at: https://docs.harly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry automation run



## OpenAPI

````yaml /openapi.json post /api/v1/automations/{id}/runs/{runId}/retry
openapi: 3.1.0
info:
  title: Harly API
  version: 1.0.0
servers:
  - url: https://{instance}
    variables:
      instance:
        default: app.harly.dev
        description: Hostname of your Harly installation
security: []
paths:
  /api/v1/automations/{id}/runs/{runId}/retry:
    post:
      tags:
        - Automations
      summary: Retry automation run
      operationId: retryAutomationRun
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        - name: runId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      workflowId:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      triggerEvent:
                        type: string
                      triggerPayload: {}
                      conditionResult: {}
                      status:
                        type: string
                      definitionVersion:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      attemptCount:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      maxAttempts:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      nextAttemptAt:
                        type: string
                      lockedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      heartbeatAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      deadLetteredAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      cancelRequestedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      cancelledAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      durationMs:
                        anyOf:
                          - type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          - type: 'null'
                      startStepIndex:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      replayOfRunId:
                        anyOf:
                          - type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - type: 'null'
                      startedAt:
                        type: string
                      finishedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      parentRunId:
                        anyOf:
                          - type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - type: 'null'
                      error:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                    required:
                      - id
                      - workflowId
                      - triggerEvent
                      - triggerPayload
                      - conditionResult
                      - status
                      - definitionVersion
                      - attemptCount
                      - maxAttempts
                      - nextAttemptAt
                      - lockedAt
                      - heartbeatAt
                      - deadLetteredAt
                      - cancelRequestedAt
                      - cancelledAt
                      - durationMs
                      - startStepIndex
                      - replayOfRunId
                      - startedAt
                      - finishedAt
                      - parentRunId
                      - error
                      - createdAt
                    additionalProperties: false
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          nextCursor:
                            anyOf:
                              - type: string
                              - type: 'null'
                          hasMore:
                            type: boolean
                          limit:
                            type: number
                        required:
                          - nextCursor
                          - hasMore
                          - limit
                        additionalProperties: false
                    additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '401':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      details: {}
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Harly API key

````